<div class="text-center">

    <div class="container">
        <h1>Contact Us</h1>


        <form class="feedback col-sm-6 col-sm-offset-3 col-xs-12" name="feedback" ng-submit="submitForm()"
              novalidate>
            <div class="form-group">

                <input type="text" name="user_id" class="form-control" ng-model="feedback_data.user_id">

            </div>
            <div class="form-group"
                 ng-class="{ 'has-error' : feedback.name.$invalid && !feedback.name.$pristine }">
                <label>Name</label>
                <input type="text" name="name" class="form-control" ng-model="feedback_data.name" required>
                <p ng-show="feedback.name.$invalid && !feedback.name.$pristine" class="help-block">You
                    name is required.</p>
            </div>

            <div class="form-group"
                 ng-class="{ 'has-error' : feedback.email.$invalid && !feedback.email.$pristine }">
                <label>Email</label>
                <input type="email" name="email" class="form-control" ng-model="feedback_data.email">
                <p ng-show="feedback.email.$invalid && !feedback.email.$pristine" class="help-block">Enter
                    a valid email.</p>
            </div>

            <div class="form-group"
                 ng-class="{ 'has-error' : feedback.subject.$invalid && !feedback.subject.$pristine }">
                <label>Subject</label>
                <input type="text" name="subject" class="form-control" ng-model="feedback_data.subject" required>

            </div>
            <div class="form-group"
                 ng-class="{ 'has-error' : (feedback.text.$invalid && !feedback.subject.$pristine) || feedback.text.$error.minlength || feedback.text.$error.maxlength}">
                <label>Text</label>
                <textarea ng-minlength="5" ng-maxlength="200" name="text" class="form-control" ng-model="feedback_data.text"
                          required="">{{feedback_data.text}}</textarea>
                <p ng-show="(!feedback.text.$error.maxlength && !feedback.text.$error.minlength) || feedback.text.$viewValue.length ==0"
                   class="remaining-text" ng-class="{'warn-help-block' : shouldWarn()}">
                    Remaining: {{200 - feedback.text.$viewValue.length}}
                </p>
                <p ng-show="feedback.text.$error.minlength" class="help-block">Text is too short.</p>
                <p ng-show="feedback.text.$error.maxlength" class="help-block">Text is too long.</p>
            </div>

            <button type="submit" class="btn btn-purple-light" ng-disabled="feedback.$invalid">Submit</button>

        </form>

    </div>
</div>
